Subject: Re: Cannot reset a repo

From: Torsten Bögershausen <[email-masked]>
Date: Sat, 06 Dec 2014 13:14:36 +0100

On 2014-12-06 11.27, Martin Wendt wrote:
> Hi,
> 
> I am facing this problem:
> 
>   - Using git version 1.9.3 (Apple Git-50)
>   - cloned a fork from GitHub to my local machine:
> https://github.com/mar10/cdnjs/
>   - This repo seems to be broken in some way.
>     At least it is not clean from the beginning and I am not able to reset
>     `git reset --hard` only toggles the modified file from
> ".../sortable" to ".../Sortable" and back
>     (see attached screenshot)
> 
> Is this a known problem (with case sensitivity)? 
I think so
>Any suggestions how to  fix it?

Try to rename Sortable into Sortable.u:
git mv Sortable Sortable.upper
(When that does not work)
git mv sortable sortable.lower

If this is not an option, use a USB Stick, format it with HFS+ "case sensitive"
and clone the repo to the stick